scala.collection.jcl.Map
class KeySet

[source: `scala/collection/jcl/Map.scala`]

`protected` `class` KeySet
  `extends` Set[K]

Direct Known Subclasses:
  MapWrapper.KeySet, SortedMap.KeySet

Method Summary
`override def` | add (k : K) : Boolean Add will return false if "a" already exists in the set.
`override def` | elements : MutableIterator[K] Creates a new iterator over all elements contained in this object.
`override def` | has (k : K) : Boolean
`override def` | size : Int Returns the number of elements in this set.

Methods inherited from Set
++, --, +, -, retain, isEmpty, contains, clear, subsetOf, transform, projection

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
apply, equals, hashCode, toArray

Methods inherited from Function1
toString, compose, andThen

Methods inherited from Collection
hasAll, addAll, -=, +=

Methods inherited from MutableIterable
remove, removeAll, retainAll, size0

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` size : Int

  Returns the number of elements in this set.

Returns
  number of set elements.

`override` `def` add(k : K) : Boolean

  Add will return false if "a" already exists in the set.

Overrides
  Set.add

`override` `def` elements : MutableIterator[K]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

`override` `def` has(k : K) : Boolean

Returns
  true if t is in the collection.